function get_chart_option_y_standard()
{
var tb=document.getElementById("tb_data");
var n='',v=''
for(var i=1;i<tb.rows.length;i++)
{
var n1=tb.rows[i].cells[1].innerHTML;
n1=(n=='')?("'"+n1+"'"):(",'"+n1+"'");
n+=n1;
}
var n_s='',n_s1='';	
for(var t=2;t<tb.rows[1].cells.length;t++)
{
n_s1=tb.rows[0].cells[t].innerHTML;
n_s1=(n_s=='')?("'"+n_s1+"'"):(",'"+n_s1+"'");
n_s+=n_s1;
}
var s ="option = {"
s+="\r    title : {"
s+="\r        text: '',"
s+="\r        subtext: ''"
s+="\r    },"
s+="\r    tooltip : {"
s+="\r        trigger: 'axis'"
s+="\r    },"
s+="\r    legend: {"
s+="\r        data:["+n_s+"]"
s+="\r    },"
s+="\r    toolbox: {"
s+="\r        show : true,"
s+="\r        feature : {"
s+="\r            mark : {show: true},"
s+="\r            dataView : {show: true, readOnly: false},"
s+="\r            magicType : {show: true, type: ['bar','line']},"
s+="\r            restore : {show: true},"
s+="\r            saveAsImage : {show: true}"
s+="\r        }"
s+="\r    },"
s+="\r    calculable : true,"
s+="\r    xAxis : ["
s+="\r        {"
s+="\r            type : 'category',"
s+="\r            data : ["+n+"]"
s+="\r        }"
s+="\r    ],"
s+="\r    yAxis : ["
s+="\r        {"
s+="\r            type : 'value'"
s+="\r        }"
s+="\r    ],"
s+=get_tb_cells(tb)
s+="\r};"
return s;
}
function get_chart_option_y_standard_tiaoXin()
{		
var tb=document.getElementById("tb_data");
var n='',v=''
for(var i=tb.rows.length-1;i>0;i--)
{
var n1=tb.rows[i].cells[1].innerHTML;
n1=(n=='')?("'"+n1+"'"):(",'"+n1+"'");
n+=n1;
}
var nn=''
var nnn=''
var nn2,nn3
for(var k=2;k<tb.rows[0].cells.length;k++)
{
for(var j=tb.rows.length-1;j>0;j--)
{
nn3=tb.rows[j].cells[k].innerHTML;
nn3=(nn=='')?(nn3):(","+nn3);
nn+=nn3;
}
nn=(nnn=='')?(nn):("|"+nn);
nnn+=nn;
nn=''
}
var n_s='',n_s1='';	
for(var t=2;t<tb.rows[1].cells.length;t++)
{
n_s1=tb.rows[0].cells[t].innerHTML;
n_s1=(n_s=='')?("'"+n_s1+"'"):(",'"+n_s1+"'");
n_s+=n_s1;
}
var s="option = {"
s+="\r  title : {"
s+="\r      text: '',"
s+="\r     subtext: ''"
s+="\r   },"
s+="\r   tooltip : {"
s+="\r       trigger: 'axis'"
s+="\r   },"
s+="\r   legend: {"
s+="\r       data:["+n_s+"]"
s+="\r   },"
s+="\r   toolbox: {"
s+="\r       show : true,"
s+="\r       feature : {"
s+="\r           mark : {show: true},"
s+="\r           dataView : {show: true, readOnly: false},"
s+="\r           magicType: {show: true, type: ['line', 'bar']},"
s+="\r           restore : {show: true},"
s+="\r           saveAsImage : {show: true}"
s+="\r       }"
s+="\r  },"
s+="\r   calculable : true,"
s+="\r   xAxis : ["
s+="\r       {"
s+="\r           type : 'value',"
s+="\r           boundaryGap : [0, 0.01]"
s+="\r      }"
s+="\r   ],"
s+="\r    yAxis : ["
s+="\r       {"
s+="\r          type : 'category',"
s+="\r           data : ["+n+"]"
s+="\r       }"
s+="\r    ],"
s+="\r   series : ["
var arr_sp=n_s.split(",")
var	arr_all=nnn.split("|")
for( var f=0;f<arr_sp.length;f++){
if(f==arr_sp.length-1){
s+="\r     {"
s+="\r         name:"+arr_sp[f]+","
s+="\r          type:'bar',"
s+="\r          data:["+arr_all[f]+"]"
s+="\r     }"
}
else
{
s+="\r     {"
s+="\r         name:"+arr_sp[f]+","
s+="\r          type:'bar',"
s+="\r          data:["+arr_all[f]+"]"
s+="\r     },"
}
}
s+="\r   ]"
s+="\r  };"
return s;
}
function get_chart_option_y_standard_mianJi()
{		var tb=document.getElementById("tb_data");
var n='',v=''
for(var i=1;i<tb.rows.length;i++)
{
var n1=tb.rows[i].cells[1].innerHTML;
n1=(n=='')?("'"+n1+"'"):(",'"+n1+"'");
n+=n1;
}
var nn=''
var nnn=''
var nn2,nn3
for(var k=2;k<tb.rows[0].cells.length;k++)
{
for(var j=1;j<tb.rows.length;j++)
{
nn3=tb.rows[j].cells[k].innerHTML;
nn3=(nn=='')?(nn3):(","+nn3);
nn+=nn3;
}
nn=(nnn=='')?(nn):("|"+nn);
nnn+=nn;
nn=''
}
var n_s='',n_s1='';	
for(var t=2;t<tb.rows[1].cells.length;t++)
{
n_s1=tb.rows[0].cells[t].innerHTML;
n_s1=(n_s=='')?("'"+n_s1+"'"):(",'"+n_s1+"'");
n_s+=n_s1;
}
var s="option = {"
s+="\r  title : {"
s+="\r      text: '',"
s+="\r     subtext: ''"
s+="\r   },"
s+="\r   tooltip : {"
s+="\r       trigger: 'axis'"
s+="\r   },"
s+="\r   legend: {"
s+="\r       data:["+n_s+"]"
s+="\r   },"
s+="\r   toolbox: {"
s+="\r       show : true,"
s+="\r       feature : {"
s+="\r           mark : {show: true},"
s+="\r           dataView : {show: true, readOnly: false},"
s+="\r           magicType: {show: true, type: ['line', 'bar']},"
s+="\r           restore : {show: true},"
s+="\r           saveAsImage : {show: true}"
s+="\r       }"
s+="\r  },"
s+="\r   calculable : true,"
s+="\r   xAxis : ["
s+="\r       {"
s+="\r           type : 'category',"
s+="\r           boundaryGap :false,"
s+="\r           data : ["+n+"]"
s+="\r      }"
s+="\r   ],"
s+="\r    yAxis : ["
s+="\r       {"
s+="\r          type : 'value',"
s+="\r       }"
s+="\r    ],"
s+="\r   series : ["
var arr_sp=n_s.split(",")
var	arr_all=nnn.split("|")
for( var f=0;f<arr_sp.length;f++){
if(f==arr_sp.length-1){
s+="\r     {"
s+="\r         name:"+arr_sp[f]+","
s+="\r          type:'line',"
s+="\r          smooth:true,"
s+="\r          itemStyle: {normal: {areaStyle: {type: 'default'}}},"
s+="\r          data:["+arr_all[f]+"]"
s+="\r     }"
}
else
{
s+="\r     {"
s+="\r         name:"+arr_sp[f]+","
s+="\r          type:'line',"
s+="\r          smooth:true,"
s+="\r          itemStyle: {normal: {areaStyle: {type: 'default'}}},"
s+="\r          data:["+arr_all[f]+"]"
s+="\r     },"
}
}
s+="\r   ]"
s+="\r  };"
return s;
}
function get_chart_option_y_standard_bingXin()
{	
var tb=document.getElementById("tb_data");
var n='',v=''
for(var i=1;i<tb.rows.length;i++)
{
var n1=tb.rows[i].cells[1].innerHTML;
n1=(n=='')?("'"+n1+"'"):(",'"+n1+"'");
n+=n1;
}
var nn='',vv=''
for(var j=1;j<tb.rows.length;j++)
{
var nn2=tb.rows[j].cells[2].innerHTML;
nn2=(nn=='')?(nn2):(","+nn2);
nn+=nn2;
}
var s ="option = {"
s+="\r     title : {"
s+="\r         text: '',"
s+="\r         subtext: '',"
s+="\r         x:'center'"
s+="\r     },"
s+="\r    tooltip : {"
s+="\r        trigger: 'item',"
s+="\r        formatter:'{a} <br/>{b} : {c} ({d}%)'"
s+="\r    },"
s+="\r    legend: {"
s+="\r         orient : 'vertical',"
s+="\r         x : 'left',"
s+="\r        data:["+n+"]"
s+="\r    },"
s+="\r    toolbox: {"
s+="\r        show : true,"
s+="\r        feature : {"
s+="\r            mark : {show: true},"
s+="\r            dataView : {show: true, readOnly: false},"
s+="\r	magicType : {"
s+="\r            show: true, "
s+="\r            type: ['pie', 'funnel'],"
s+="\r            option: {"
s+="\r               funnel: {"
s+="\r                   x: '25%',"
s+="\r                   width: '50%',"
s+="\r                   funnelAlign: 'left',"
s+="\r                   max:"+Math.max.apply(null,nn.split(","))+""
s+="\r               }"
s+="\r           }"
s+="\r       },"
s+="\r            restore : {show: true},"
s+="\r            saveAsImage : {show: true}"
s+="\r        }"
s+="\r    },"
s+="\r    calculable : true,"
s+="\r    series : ["
s+="\r        {"
s+="\r            name:'日期',"
s+="\r            type:'pie',"
s+="\r         radius : '30%',"
s+="\r         center: ['50%', '60%'],"
s+="\r         data:["
var arr_n=n.split(",");
var arr_nn=nn.split(",");
for(var i=0;i<tb.rows.length-1;i++)
{	
if(i==tb.rows.length-2){
s+="\r         {value:"+arr_nn[i]+", name:"+arr_n[i]+"}"}
else{
s+="\r         {value:"+arr_nn[i]+", name:"+arr_n[i]+"},"}
}
s+="\r         ]"
s+="\r        }"
s+="\r    ]"	
s+="\r};"
return s;
}
function get_tb_cells(tb)
{
var s="\r    series : [";
var name_s
for(var i=2;i<tb.rows[0].cells.length;i++)
{		
name_s=''
name_s=tb.rows[0].cells[i].innerHTML
s+="\r        {"
s+="\r            name:'"+name_s+"',"
s+="\r            type:'bar',"
s+="\r            data:["+get_tb_rows(tb,i)+"],"
s+="\r            markPoint : {"
s+="\r                data : ["
s+="\r                    {type : 'max', name: '最大值'},"
s+="\r                    {type : 'min', name: '最小值'}"
s+="\r                ]"
s+="\r            },"
s+="\r            markLine : {"
s+="\r                data : ["
s+="\r                    {type : 'average', name: '平均值'}"
s+="\r                ]"
s+="\r            }"
s+="\r        }"
if (i<tb.rows[0].cells.length-1)s+=","
}
s+="\r    ]"	
return s;
}
function get_tb_rows(tb,i)
{
var v="";
for(var j=1;j<tb.rows.length;j++)
{
var v1=tb.rows[j].cells[i].innerHTML;
v1=(v=='')?(v1):(","+v1);
v+=v1;
}
return v;
}
function arr_back_a(arr)
{
var arr_back=[];
var arr_length
arr_length=arr.length-1;
for(var i=0;i<arr.length;i++)
{
arr_back[arr_length]=arr[i]
arr_length=arr_length-1
}
return arr_back;
}